> ## Documentation Index
> Fetch the complete documentation index at: https://docs.etherscan.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Chainlist

> Returns the list of all supported Etherscan mainnet and testnet chains.

<ResponseExample>
  ```json Example response theme={null}
  {
    "comments": "List of API endpoints maintained by Etherscan EAAS. Available Status codes are (0)=Offline, (1)=Ok, (2)=Degraded",
    "totalcount": 67,
    "result": [
      {
        "chainname": "Ethereum Mainnet",
        "chainid": "1",
        "blockexplorer": "https://etherscan.io/",
        "apiurl": "https://api.etherscan.io/v2/api?chainid=1",
        "status": 1,
        "comment": ""
      },
      {
        "chainname": "Sepolia Testnet",
        "chainid": "11155111",
        "blockexplorer": "https://sepolia.etherscan.io/",
        "apiurl": "https://api.etherscan.io/v2/api?chainid=11155111",
        "status": 1,
        "comment": ""
      },
      {
        "chainname": "Base Mainnet",
        "chainid": "8453",
        "blockexplorer": "https://basescan.org/",
        "apiurl": "https://api.etherscan.io/v2/api?chainid=8453",
        "status": 1,
        "comment": ""
      },
      {
        "chainname": "Polygon Mainnet",
        "chainid": "137",
        "blockexplorer": "https://polygonscan.com/",
        "apiurl": "https://api.etherscan.io/v2/api?chainid=137",
        "status": 1,
        "comment": ""
      },
      {
        "chainname": "Arbitrum One Mainnet",
        "chainid": "42161",
        "blockexplorer": "https://arbiscan.io/",
        "apiurl": "https://api.etherscan.io/v2/api?chainid=42161",
        "status": 1,
        "comment": ""
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml openapi/api-reference/endpoint/chainlist.json GET /v2/chainlist
openapi: 3.1.0
info:
  title: Chainlist
  version: 2.0.0
  description: Returns the list of all supported Etherscan mainnet and testnet chains.
  license:
    name: Etherscan API Terms
    url: https://etherscan.io/terms
servers:
  - url: https://api.etherscan.io
    description: Etherscan API.
security:
  - apiKey: []
paths:
  /v2/chainlist:
    get:
      summary: Chainlist
      description: Returns the list of all supported Etherscan mainnet and testnet chains.
      operationId: getChainlist
      parameters: []
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: >-
                      1 if the request returned data, 0 otherwise. A status of 0
                      can indicate an error or a valid request that returned no
                      records.
                  message:
                    type: string
                    description: >-
                      OK on success, otherwise an error description such as
                      NOTOK. See [common error
                      messages](/common-error-messages).
                  result:
                    type: array
                    items:
                      type: object
                      properties:
                        chainname:
                          type: string
                          description: Name of the chain.
                        chainid:
                          type: string
                          description: Chain ID.
                        blockexplorer:
                          type: string
                          description: URL of the chain's block explorer.
                        apiurl:
                          type: string
                          description: Base API URL for the chain.
                        status:
                          type: number
                          description: 1 if the chain is currently supported, 0 otherwise.
                        comment:
                          type: string
                          description: Additional notes about the chain.
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: query
      name: apikey
      description: >-
        Enter your Etherscan API key, or [set one up](/set-up-your-api-key) if
        you don't have one.

````